@echo off

fc %1 %2 | findstr Blocks >nul
if %ERRORLEVEL%==0 goto failure1

fc %3 %4 | findstr "FC: no differences encountered" >nul
if ERRORLEVEL 1 goto failure2
echo SUCCESS.
goto end

:failure1
echo FAILURE! (different execution).  Please send bug report.
goto end

:failure2
echo FAILURE! (different output -- probably endian bug).  Please send bug report.
goto end

:end
